rem  ---------------------------------------------------------------------------------------
rem  Batch-Script zum lschen der "Zuletzt verwendet" Eintrge im Startmen
rem  und in der Taskleiste, z.B. beim Windows-Explorer.
rem  Dieses Script steht unter [GPL] Lizenz und darf unter Nennung des Autors
rem  frei benutzt und weitergegeben werden. Der Autor bernimmt keinerlei Haftung 
rem  fr eventuell entstandene Schden oder Folgen, die aus der Benutzung dieses
rem  Scripts resultieren. Verwendung auf eigene Gefahr!
rem  Die jeweils aktuelle Version finden Sie unter: http://www.steffen-ille.de/downloads.php
rem  (c) 2010 Steffen Ille <steffenille@web.de>
rem  ---------------------------------------------------------------------------------------

@echo off
cls
@set PFAD=%APPDATA%\Microsoft\Windows\Recent\
echo --------------------------------------
echo  Zuletzt verwendet Eintraege loeschen
echo --------------------------------------
echo Pfad: %PFAD%
echo VZ 1: AutomaticDestinations
echo VZ 2: CustomDestinations
@set /P FRAGE1=Wollen Sie die Eintraege wirklich loeschen (j/n): 
if (%FRAGE1%)==(j) goto JA
if (%FRAGE1%)==(n) goto NEIN

:JA
rmdir /S /Q %PFAD%AutomaticDestinations
rmdir /S /Q %PFAD%CustomDestinations
echo Loesche Eintraege... fertig.
echo Sie sollten den Computer jetzt neu starten.
@set /P FRAGE2=Wollen Sie jetzt neu starten (j/n): 
if (%FRAGE2%)==(j) goto NEUSTART
if (%FRAGE2%)==(n) goto ENDE
goto ENDE

:NEUSTART
shutdown /r /f /t 10
goto ENDE

:NEIN
echo Der Vorgang wurde abgebrochen.
goto ENDE

:ENDE
pause
exit
